;//
;// Message Catalog for Compressor / Decompressor Node
;// Richard G Brown
;//

;// Header Section

MessageIdTypedef=int

SeverityNames=(
   Success=0x0
   Informational=0x1
   Warning=0x2
   Error=0x3
   )

;// Message Section

MessageId=0001
Severity=Error
Facility=Application
SymbolicName=RGB_NODE_CLASS_CREATION_FAILED
Language=English
The broker (%1!s!) has failed to create a node class.
.

MessageId=0002
Severity=Error
Facility=Application
SymbolicName=RGB_NODE_TERMINAL_CREATION_FAILED
Language=English
The broker (%1!s!) has failed to create all necessary terminals.
.


MessageId=0003
Severity=Error
Facility=Application
SymbolicName=RGB_CONTEXT_ATTRIBUTE_NULL
Language=English
The broker (%1!s!) has been passed a null context
.

MessageId=0004
Severity=Error
Facility=Application
SymbolicName=RGB_MALLOC_FAILURE
Language=English
The broker (%1!s!) has failed to allocate memory - malloc returned 0
.

MessageId=0005
Severity=Error
Facility=Application
SymbolicName=RGB_NULL_POINTER_EXCEPTION
Language=English
The broker (%1!s!) has been passed a null pointer where data was expected.
.

MessageId=0006
Severity=Warning
Facility=Application
SymbolicName=RGB_TREE_TRAVERSAL_FAILURE
Language=English
Failed to navigate the message tree. Problematic element: (%2!s!). Broker (%1!s!)
.

MessageId=0007
Severity=Error
Facility=Application
SymbolicName=RGB_CHILD_ELEMENT_CREATE_FAILED
Language=English
The broker (%1!s!) failed to create a child element.
.


MessageId=0008
Severity=Error
Facility=Application
SymbolicName=RGB_FAILED_TO_SET_ELEMENT_TYPE
Language=English
The broker (%1!s!) failed to set the type of a syntax element.
.

MessageId=0009
Severity=Error
Facility=Application
SymbolicName=RGB_FAILED_GET_MESSAGE_CONTEXT
Language=English
The broker(%1!s!) failed to get message context.
.

MessageId=0010
Severity=Error
Facility=Application
SymbolicName=RGB_FAILED_CREATE_OUTBOUND_MSG
Language=English
The broker (%1!s!) failed to create an outbound message object.
.

MessageId=0011
Severity=Error
Facility=Application
SymbolicName=RGB_FAILED_COPY_MESSAGE_TREE
Language=English
The broker (%1!s!) failed to copy input message tree to output message tree.
.

MessageId=0012
Severity=Error
Facility=Application
SymbolicName=RGB_FAILED_GET_ROOT
Language=English
The broker (%1!s!) failed to navigate to root element of message tree.
.

MessageId=0013
Severity=Error
Facility=Application
SymbolicName=RGB_GENERAL_FAILURE
Language=English
The broker (%1!s!) failed to perform as intended: (%2!s!).
.

MessageId=0014
Severity=Error
Facility=Application
SymbolicName=RGB_NOT_A_BYTE_ARRAY
Language=English
The broker failed to determine properties of a byte array. Ensure the all relevant fields reference a byte array. Broker (%1!s!)
.

MessageId=0015
Severity=Error
Facility=Application
SymbolicName=RGB_MALFORMED_COMPRESSED_DATA
Language=English
The broker (%1!s!) was provided an input array which was too short: no length field or the first four bytes existed and implied a message that was too large. Was a correctly formed compressed message provided?
.

MessageId=0016
Severity=Error
Facility=Application
SymbolicName=RGB_FAILED_GET_BYTE_ARRAY
Language=English
The broker (%1!s!) failed to copy a byte array into a buffer.
.

MessageId=0017
Severity=Error
Facility=Application
SymbolicName=RGB_COMPRESS_INIT_FAIL
Language=English
The broker (%1!s!) failed to initialise the compressor/decompressor object.
.

MessageId=0018
Severity=Error
Facility=Application
SymbolicName=RGB_INCONSISTENT_COMP_STATE
Language=English
The broker (%1!s!) encountered the compressor/decompressor object in an inconsistent state (%2!s!).
.

MessageId=0019
Severity=Error
Facility=Application
SymbolicName=RGB_NULL_POINTER_EXCEPTION2
Language=English
The broker (%1!s!) has been passed a null pointer where data was expected. (%2!s!).
.

MessageId=0020
Severity=Error
Facility=Application
SymbolicName=RGB_FAILED_TO_SET_ELEMENT_NAME
Language=English
The broker (%1!s!) failed to set the name of a syntax element.
.

MessageId=0021
Severity=Error
Facility=Application
SymbolicName=RGB_ZLIB_FAILURE
Language=English
The broker (%1!s!) encountered an error compressing/decompressing data: (%2!s!).
.
